<?php

namespace App\Enums;

enum DegreeInclinationEnum : string
{
    case FAIBLE = 'faible';
    case MOYEN = 'moyen';
    case STANDARD = 'standard';
    case FORT = 'fort';
    case PLAT = 'plat';

    public static function toSelectArray(): array
    {
        return [
            self::FAIBLE->value => self::FAIBLE->value,
            self::MOYEN->value => self::MOYEN->value,
            self::STANDARD->value => self::STANDARD->value,
            self::FORT->value => self::FORT->value,
            self::PLAT->value => self::PLAT->value,
        ];
    }

    public static function getImgFor($value)
    {
        return match ($value) {
            self::FAIBLE->value => '/img/angle-low.abd795d8.svg',
            self::MOYEN->value => '/img/angle-medium.49b11f28.svg',
            self::STANDARD->value => '/img/angle-standard.48228197.svg',
            self::FORT->value => '/img/angle-strong.59d2f5f3.svg',
            self::PLAT->value => '/img/angle-flat.c5f84e59.svg',
            default => '',
        };
    }

}
